> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Conversations by Tags >
Enterprise
View the metrics of omnichannel conversations in your workspace during a selected time range based on their tags.
Permission required: `view-livechat-reports` ### Changelog | Version | Description | | ------------ | ------------| |6.4.0 | Added | ## OpenAPI ````json GET /api/v1/livechat/analytics/dashboards/conversations-by-tags { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Omnichannel" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Omnichannel Users" }, { "name": "Omnichannel Agents" }, { "name": "Omnichannel Monitors" }, { "name": "Omnichannel Visitors" }, { "name": "Omnichannel Contacts" }, { "name": "Omnichannel Rooms" }, { "name": "Omnichannel Departments" }, { "name": "Omnichannel Custom Fields" }, { "name": "Omnichannel Business Hours" }, { "name": "Omnichannel Priorities" }, { "name": "Omnichannel Tags" }, { "name": "Omnichannel Units" }, { "name": "SLA Policies" }, { "name": "Canned Responses" }, { "name": "Omnichannel Transcript" }, { "name": "Omnichannel Statistics" }, { "name": "Omnichannel Agent Stats" }, { "name": "Omnichannel Dashboards" }, { "name": "Reports" }, { "name": "Omnichannel Inquiries" }, { "name": "Omnichannel Webhooks" }, { "name": "Livechat" }, { "name": "Livechat Appearance" }, { "name": "Livechat Triggers" }, { "name": "Livechat Messages" }, { "name": "Livechat Page Visited" } ], "paths": { "/api/v1/livechat/analytics/dashboards/conversations-by-tags": { "get": { "tags": [ "Reports" ], "summary": "Get Conversations by Tags", "description": "
\"Enterprise\"
\n\nView the metrics of omnichannel conversations in your workspace during a selected time range based on their tags.
\n\nPermission required: `view-livechat-reports`\n\n### Changelog\n| Version | Description |\n| ------------ | ------------|\n|6.4.0 | Added |", "operationId": "get-api-v1-livechat-analytics-dashboards-conversations-by-tags", "parameters": [ { "$ref": "#/components/parameters/AuthToken" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/start" }, { "$ref": "#/components/parameters/end" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "total": { "type": "integer" }, "data": { "type": "array", "items": { "type": "object", "properties": { "label": { "type": "string" }, "value": { "type": "integer" } } } }, "unspecified": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "total": "5", "data": [ { "label": "tech", "value": "1" }, { "label": "solved", "value": "1" }, { "label": "self", "value": "1" }, { "label": "testtags", "value": "2" } ], "unspecified": "55", "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/startendError" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/permissionError" } } } } }, "components": { "parameters": { "AuthToken": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "start": { "name": "start", "in": "query", "description": "The start date.", "required": "true", "schema": { "type": "string" }, "example": "2020-09-10T23:59:22.345Z" }, "end": { "name": "end", "in": "query", "description": "The end date.", "required": "true", "schema": { "type": "string" }, "example": "2020-09-09T00:11:22.345Z" } }, "responses": { "startendError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": "false", "error": "must have required property 'start' [invalid-params]", "errorType": "invalid-params" } }, "Example 2": { "value": { "success": "false", "error": "The \"start\" query parameter must be a valid date." } }, "Example 3": { "value": { "success": "false", "error": "must have required property 'end' [invalid-params]", "errorType": "invalid-params" } }, "Example 4": { "value": { "success": "false", "error": "The \"end\" query parameter must be a valid date." } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "permissionError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } }, "Unauthorized": { "value": { "success": "false", "error": "unauthorized" } } } } } } } } } ````